\label{sec:ux-in-bad-networks}

To improve the Tor user experience for all of our users we need a better
understanding of the factors that contribute to poor performance, especially in
locations with poor network infrastructure or mobile-only connectivity. People
in censored locations need to take additional steps to connect to the open
internet and we need to focus on the user experience of those steps, as well.

\section{Make the bootstrapping process faster}

We need to better understand the points in the bootstrap process that cause
delay. Some of the work outlined in~Section \ref{sec:pt-log-message-passing}
sets us up to collect more information during bootstrapping, including
distinguishing whether the connection is being made to a relay, a pluggable
transport, or a proxy used to bypass a firewall. Additional planned work will
add more granular reporting of events during the bootstrap process, which will
allow us to pinpoint the activities that are contributing to delay. 

\section{Better support users on slow networks}

There are a variety of tuning parameters, possibly at every level of the Tor
code base, that we need to examine with slow networks in mind. Many of these
parameters have been set for conditions expected in places like North America
or Europe. Users in places that generally have poor networks experience Tor
Browser as extremely slow or completely unusable. We need to identify the
parameters that might be causing poor performance for people on slow networks
and design solutions that will work for all of our users.

\section{Test pluggable transport latency}

OnionPerf~\cite{onionperf} measures the performance of the Tor network by
downloading files of various sizes from a web server and recording how long
each takes to complete. In order to test the effect of pluggable transports on
performance, we need to set up a Tor bridge that runs all of the current
pluggable transports and configure OnionPerf to perform tests using each
pluggable transport on the bridge. Knowing the additional overhead produced by
each pluggable transport will help us focus our efforts on improving
performance and allow us to make better recommendations to users on slow
networks.

\section{Keep the Tor network healthy}

The health of the Tor network is crucial to all of the services Tor provides,
including the ability of users to bypass censorship. While it might be ideal to
have a team dedicated to keeping the Tor network healthy, most of this work is
currently handled by the network development team. This work includes watching
for and analyzing anomalous network behavior and helping to resolve network
issues as they arise. Specifically, we should do all of the following:
establish baselines of expected network behavior; look for and resolve denial
of service issues; track connectivity issues between relays; and look for
relays approaching the limits of their resources.
